<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Version check and feature tests</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="RSVG Libary Reference Manual">
<link rel="up" href="rsvg.html" title="Part I. API Reference">
<link rel="prev" href="rsvg-Using-RSVG-with-GdkPixbuf.html" title="Using RSVG with GdkPixbuf">
<link rel="next" href="object-tree.html" title="Object Hierarchy">
<meta name="generator" content="GTK-Doc V1.19 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
<tr valign="middle">
<td><a accesskey="p" href="rsvg-Using-RSVG-with-GdkPixbuf.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
<td><a accesskey="u" href="rsvg.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
<th width="100%" align="center">RSVG Libary Reference Manual</th>
<td><a accesskey="n" href="object-tree.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
</tr>
<tr><td colspan="5" class="shortcuts">
<a href="#rsvg-Version-check-and-feature-tests.synopsis" class="shortcut">Top</a>
                   | 
                  <a href="#rsvg-Version-check-and-feature-tests.description" class="shortcut">Description</a>
</td></tr>
</table>
<div class="refentry">
<a name="rsvg-Version-check-and-feature-tests"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="rsvg-Version-check-and-feature-tests.top_of_page"></a>Version check and feature tests</span></h2>
<p>Version check and feature tests</p>
</td>
<td valign="top" align="right"></td>
</tr></table></div>
<div class="refsynopsisdiv">
<a name="rsvg-Version-check-and-feature-tests.synopsis"></a><h2>Synopsis</h2>
<pre class="synopsis">#define             <a class="link" href="rsvg-Version-check-and-feature-tests.html#LIBRSVG-MAJOR-VERSION:CAPS" title="LIBRSVG_MAJOR_VERSION">LIBRSVG_MAJOR_VERSION</a>
#define             <a class="link" href="rsvg-Version-check-and-feature-tests.html#LIBRSVG-MINOR-VERSION:CAPS" title="LIBRSVG_MINOR_VERSION">LIBRSVG_MINOR_VERSION</a>
#define             <a class="link" href="rsvg-Version-check-and-feature-tests.html#LIBRSVG-MICRO-VERSION:CAPS" title="LIBRSVG_MICRO_VERSION">LIBRSVG_MICRO_VERSION</a>
#define             <a class="link" href="rsvg-Version-check-and-feature-tests.html#LIBRSVG-VERSION:CAPS" title="LIBRSVG_VERSION">LIBRSVG_VERSION</a>
#define             <a class="link" href="rsvg-Version-check-and-feature-tests.html#LIBRSVG-CHECK-VERSION:CAPS" title="LIBRSVG_CHECK_VERSION()">LIBRSVG_CHECK_VERSION</a>               (major,
                                                         minor,
                                                         micro)
#define             <a class="link" href="rsvg-Version-check-and-feature-tests.html#LIBRSVG-HAVE-SVGZ:CAPS" title="LIBRSVG_HAVE_SVGZ">LIBRSVG_HAVE_SVGZ</a>
#define             <a class="link" href="rsvg-Version-check-and-feature-tests.html#LIBRSVG-HAVE-CSS:CAPS" title="LIBRSVG_HAVE_CSS">LIBRSVG_HAVE_CSS</a>
#define             <a class="link" href="rsvg-Version-check-and-feature-tests.html#LIBRSVG-CHECK-FEATURE:CAPS" title="LIBRSVG_CHECK_FEATURE()">LIBRSVG_CHECK_FEATURE</a>               (FEATURE)
</pre>
</div>
<div class="refsect1">
<a name="rsvg-Version-check-and-feature-tests.description"></a><h2>Description</h2>
</div>
<div class="refsect1">
<a name="rsvg-Version-check-and-feature-tests.details"></a><h2>Details</h2>
<div class="refsect2">
<a name="LIBRSVG-MAJOR-VERSION:CAPS"></a><h3>LIBRSVG_MAJOR_VERSION</h3>
<pre class="programlisting">#define LIBRSVG_MAJOR_VERSION (2)
</pre>
</div>
<hr>
<div class="refsect2">
<a name="LIBRSVG-MINOR-VERSION:CAPS"></a><h3>LIBRSVG_MINOR_VERSION</h3>
<pre class="programlisting">#define LIBRSVG_MINOR_VERSION (40)
</pre>
</div>
<hr>
<div class="refsect2">
<a name="LIBRSVG-MICRO-VERSION:CAPS"></a><h3>LIBRSVG_MICRO_VERSION</h3>
<pre class="programlisting">#define LIBRSVG_MICRO_VERSION (2)
</pre>
</div>
<hr>
<div class="refsect2">
<a name="LIBRSVG-VERSION:CAPS"></a><h3>LIBRSVG_VERSION</h3>
<pre class="programlisting">#define LIBRSVG_VERSION "2.40.2"
</pre>
</div>
<hr>
<div class="refsect2">
<a name="LIBRSVG-CHECK-VERSION:CAPS"></a><h3>LIBRSVG_CHECK_VERSION()</h3>
<pre class="programlisting">#define             LIBRSVG_CHECK_VERSION(major,minor,micro)</pre>
</div>
<hr>
<div class="refsect2">
<a name="LIBRSVG-HAVE-SVGZ:CAPS"></a><h3>LIBRSVG_HAVE_SVGZ</h3>
<pre class="programlisting">#define LIBRSVG_HAVE_SVGZ  (TRUE)
</pre>
</div>
<hr>
<div class="refsect2">
<a name="LIBRSVG-HAVE-CSS:CAPS"></a><h3>LIBRSVG_HAVE_CSS</h3>
<pre class="programlisting">#define LIBRSVG_HAVE_CSS   (TRUE)
</pre>
</div>
<hr>
<div class="refsect2">
<a name="LIBRSVG-CHECK-FEATURE:CAPS"></a><h3>LIBRSVG_CHECK_FEATURE()</h3>
<pre class="programlisting">#define LIBRSVG_CHECK_FEATURE(FEATURE) (defined(LIBRSVG_HAVE_##FEATURE) &amp;&amp; LIBRSVG_HAVE_##FEATURE)
</pre>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.19</div>
</body>
</html>